#
# spec file for package python-aliyun-python-sdk-core
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-aliyun-python-sdk-core
Version:        2.13.30
Release:        150100.3.7.5
Summary:        The core module of Aliyun Python SDK
License:        Apache-2.0
URL:            https://github.com/aliyun/aliyun-openapi-python-sdk
Source:         https://files.pythonhosted.org/packages/source/a/aliyun-python-sdk-core/aliyun-python-sdk-core-%{version}.tar.gz
Patch:          0001_Relax-cryptography-dependency.patch
Patch1:         0002_Dont-use-vendored-dependencies.patch
Source1:        ChangeLog.txt
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module cryptography >= 2.9.2}
BuildRequires:  %{python_module jmespath >= 0.9.3}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
# /SECTION
BuildRequires:  fdupes
Requires:       python-cryptography >= 2.9.2
Requires:       python-jmespath >= 0.9.3
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
The core module of Aliyun Python SDK.

%prep
%setup -q -n aliyun-python-sdk-core-%{version}
%patch -p1
%patch1 -p1
cp %{SOURCE1} ChangeLog.txt
rm -rf aliyunsdkcore/vendored

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc ChangeLog.txt README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jul  6 2021 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1177083, jsc#PM-2730, jsc#SLE-18312)
* Wed Feb 17 2021 rjschwei@suse.com
- Do not build for Python 2 distros 15 and higher
* Sat Feb 13 2021 adrian.glaubitz@suse.com
- New upstream release
  + Version 2.13.30
  + For detailed information about changes see the
    ChangeLog.txt file provided with this package
- Add ChangeLog.txt from upstream git
- Add patch to relax python-crypography version dependency
  + 0001_Relax-cryptography-dependency.patch
- Add patch to drop vendored dependencies (bsc#1177083)
  + 0002_Dont-use-vendored-dependencies.patch
- Add python-cryptography to BuildRequires and Requires
- Add python-requests BuildRequires and Requires
- Add python-six BuildRequires and Requires
- Drop python-pycryptodome from BuildRequires and Requires
- Drop python-devel from BuildRequires
- Drop obsolete Group field
- Use LICENSE file from upstream tarball
* Tue Aug 18 2020 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1175230, jsc#ECO-2011, jsc#PM-1919)
* Mon Aug 10 2020 adrian.glaubitz@suse.com
- Initial build
  + Version 2.13.25
